﻿namespace anbs_cp;

/// <summary>
/// Класс, добавляющий реализацию некоторых методов Delphi, которые упрощают работу в C#.
/// </summary>
public static class LikeDelphi
{
    /// <summary>
    /// Аналог функции IncludeTrailingBackslash
    /// </summary>
    /// <param name="path">Путь, к которому нужно добавить slash</param>
    /// <returns>Путь со slash в конце</returns>
    public static string IncludeTrailingBackslash (string path)
    {
        //По умолчанию сохраняем путь
        string result = path;

        //Если последний символ не "\", то добавим "\" в конце
        if (path[^1] != '\\')
            result = $@"{path}\";

        //Вернём результат
        return result;
    }

    /// <summary>
    /// Парсер строки в множество строк
    /// </summary>
    /// <param name="str">Строка, которую нужно разбить</param>
    /// <param name="delimiter">Символ-делитель строки</param>
    /// <returns>Массив строк</returns>
    public static List<string> ParseString (string str, char delimiter) => str.Split (delimiter).ToList();
}